System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Obsolete("Use TypeDescriptionProvider and TypeDescriptor.ComObjectType instead")

This API is now obsolete. Add a to handle a instead.

Provides a top-level mapping layer between a COM object and a .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the attributes for the specified component.

  A collection of attributes for .

  The component to get attributes for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the class name for the specified component.

  The name of the class that corresponds with .

  The component to get the class name for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the type converter for the specified component.

  The for .

  The component to get the for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the default event for the specified component.

  An that represents 's default event.

  The component to get the default event for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the default property for the specified component.

  A that represents 's default property.

  The component to get the default property for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the editor for the specified component.

  The editor for .

  The component to get the editor for. The base type of the editor for .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the events for the specified component.

  A collection of event descriptors for .

  The component to get events for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection `` ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the events with the specified attributes for the specified component.

  A collection of event descriptors for .

  The component to get events for. The attributes used to filter events.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the name of the specified component.

  The name of .

  The component to get the name of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` ``

  This API is now obsolete. The non-obsolete alternative is .

  Gets the properties with the specified attributes for the specified component.

  A collection of property descriptors for .

  The component to get events for. The attributes used to filter properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` To be added: an object of type 'object' To be added: an object of type 'int' To be added: an object of type 'bool&' To be added To be added: an object of type 'object' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` To be added: an object of type 'object' To be added: an object of type 'string' To be added: an object of type 'bool&' To be added To be added: an object of type 'object' To be added